Package groovy.lang.groovydoc

# Interface GroovydocHolder<T>

All Known Implementing Classes:
  `AbstractGinqExpression`, `AnnotatedNode`, `AnnotationConstantExpression`, `ArgumentListExpression`, `ArrayExpression`, `AttributeExpression`, `BinaryExpression`, `BitwiseNegationExpression`, `BooleanExpression`, `BytecodeExpression`, `CastExpression`, `ClassExpression`, `ClassNode`, `ClosureExpression`, `ClosureListExpression`, `CompareIdentityExpression`, `CompareToNullExpression`, `ConstantExpression`, `ConstructorCallExpression`, `ConstructorNode`, `DataSourceExpression`, `DeclarationExpression`, `DecompiledClassNode`, `ElvisOperatorExpression`, `EmptyExpression`, `EnumConstantClassNode`, `Expression`, `ExpressionAsVariableSlot`, `ExtensionMethodNode`, `FieldExpression`, `FieldNode`, `FilterExpression`, `FromExpression`, `GinqExpression`, `GroupExpression`, `GStringExpression`, `HavingExpression`, `ImportNode`, `InnerClassNode`, `InterfaceHelperClassNode`, `IntersectionTypeClassNode`, `JoinExpression`, `LambdaExpression`, `LimitExpression`, `ListExpression`, `ListOfExpressionsExpression`, `MapEntryExpression`, `MapExpression`, `MethodCallExpression`, `MethodNode`, `MethodPointerExpression`, `MethodReferenceExpression`, `MixinNode`, `NamedArgumentListExpression`, `NotExpression`, `OnExpression`, `OrderExpression`, `PackageNode`, `Parameter`, `PostfixExpression`, `PrefixExpression`, `ProcessExpression`, `PropertyExpression`, `PropertyNode`, `RangeExpression`, `RecordComponentNode`, `SelectExpression`, `SetOperationExpression`, `ShutdownExpression`, `SpreadExpression`, `SpreadMapExpression`, `StaticMethodCallExpression`, `SwitchExpression`, `TemporaryVariableExpression`, `TernaryExpression`, `TupleExpression`, `UnaryMinusExpression`, `UnaryPlusExpression`, `VariableExpression`, `VariableSlotLoader`, `WhereExpression`, `WideningCategories.LowestUpperBoundClassNode`

public interface GroovydocHolder<T>
Represents Groovydoc Holder

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DOC_COMMENT`
  Metadata key used to store the original doc comment text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Groovydoc`
  `getGroovydoc()`
  Get the groovydoc
  `T`
  `getInstance()`
  Get GroovydocHolder instance

- ## Field Details

  - ### DOC_COMMENT

    static final String DOC_COMMENT
    Metadata key used to store the original doc comment text.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getGroovydoc

    Groovydoc getGroovydoc()
    Get the groovydoc
    Returns:
      the groovydoc

  - ### getInstance

    T getInstance()
    Get GroovydocHolder instance
    Returns:
      GroovydocHolder instance